Z=16   			!this is the charge of the nucleus
xmin=20			!these are limits
xmax=70

clear
orientation portrait
device\colour postscript
!! cursor -2 is for centering, -1 is for left justify, -3 for right just.
set cursor -2

!___________________________________________
set xleadz 1.0
set yleadz 1.0
set xnumsz .6
set ynumsz .6
set xticl -.5
set xtics -.25
set yticl -.5
set ytics -.25
set xlabsz 1.0
set ylabsz 1.0
set lintyp 1.0
set linthk 6.0
set charsz 0.4
!set xln 10
!set yln 10
!!ylabel "P(n)"
!!xlabel "n"
!___________________________________________
!These are the dimensions of the borders
xxll=4.5
xxuu=17
yyll=5.0
yyuu=14
!___________________________________________
!delxlabel and delylabel are the offsets of the label.
delxlabel=3
delylabel=3
set xlaxis xxll
set xuaxis xxuu
set ylaxis yyll
set yuaxis yyuu
!___________________________________________
color 1

! y-axis label
ytext=yyuu
xtext=xxll-delylabel
set xloc xtext
set yloc ytext
set txtang 90
set txthit 0.7
text `log<_>10<^>[Yield(<^>A<_>S)]'

! x-axis label
xtext=(xxuu+xxll)/2.0
ytext=yyll-delxlabel
set xloc xtext
set yloc ytext
set txtang 0
set txthit .7
text `A'

!title
ytext=yyuu-1.3
set txthit 0.7
xtext=xxuu-0.6
set xloc xtext
set yloc ytext
set cursor -3
set color 1
text `after decays'

!autoscale
!usage: scales xmin,xmax,ymin,ymax
scales xmin xmax -15 2

! xvmin,yvmin.. set where the max/min tick marks go
set nlxinc 10
set nsxinc 2
set xvmin 0.0
set xvmax 100

set nlyinc 4
set nsyinc 5
set yvmin -15
set yvmax 5

graph\axesonly

set txthit 0.7
ytext=yyll+1
xtext=xxuu-0.5
set cursor -3
!________________________________________________________
file=`sorted_results/sorted_Z80_A200_T1.5_z16.dat'
read file x y1 y2
y1=log10(1.0E-99+y1)
y2=log10(1.0E-99+y2)
color 2
set pchar -1
graph\noaxes x y1
ytext=ytext+1.1
set xloc xtext
set yloc ytext
text `<M1> T=1.5'
!________________________________________________________
file=`sorted_results/sorted_Z80_A200_T3_z16.dat'
read file x y1 y2
y1=log10(1.0E-99+y1)
y2=log10(1.0E-99+y2)
color 3
set pchar -5
graph\noaxes x y1
ytext=ytext+1.1
set xloc xtext
set yloc ytext
text `<M5> T=3.0'
!________________________________________________________
file=`sorted_results/sorted_Z80_A200_T4.5_z16.dat'
read file x y1 y2
y1=log10(1.0E-99+y1)
y2=log10(1.0E-99+y2)
color 4
set pchar -10
graph\noaxes x y1
ytext=ytext+1.1
set xloc xtext
set yloc ytext
text `<M10> T=4.5'
!________________________________________________________
file=`sorted_results/sorted_Z80_A200_T6_z16.dat'
read file x y1 y2
y1=log10(1.0E-99+y1)
y2=log10(1.0E-99+y2)
color 5
set pchar -12
graph\noaxes x y1
ytext=ytext+1.1
set xloc xtext
set yloc ytext
text `<M12> T=6.0'
!________________________________________________________
file=`sorted_results/sorted_Z80_A200_T7.5_z16.dat'
read file x y1 y2
y1=log10(1.0E-99+y1)
y2=log10(1.0E-99+y2)
color 6
set pchar -14
graph\noaxes x y1
ytext=ytext+1.1
set xloc xtext
set yloc ytext
text `<M14> T=7.5'

!__________________________________________
! upper panel
!___________________________________________
!These are the dimensions of the borders
set xnumsz 0

xxuu=17
yyll=14.0
yyuu=23
!___________________________________________
!delxlabel and delylabel are the offsets of the label.
delxlabel=3
delylabel=3
set xlaxis xxll
set xuaxis xxuu
set ylaxis yyll
set yuaxis yyuu


ytext=yyuu+0.7
set txthit 0.6
xtext=0.5*(xxll+xxuu)
set cursor -2
set xloc xtext
set yloc ytext
set color 1
text `(Z<_>sys<^>=80,A<_>sys<^>=200) <rightarrow> <^>A<_>S+X'
!title
ytext=yyuu-1.3
set txthit 0.7
xtext=xxuu-0.6
set cursor -3
set xloc xtext
set yloc ytext
set color 1
text `before decays'


!___________________________________________
color 1
scales xmin xmax -14.999 2
! xvmin,yvmin.. set where the max/min tick marks go
set nlxinc 7
set nsxinc 2
set xvmin -20.0
set xvmax 50.0

set nlyinc 4
set nsyinc 5
set yvmin -15
set yvmax 5

graph\axesonly

!________________________________________________________
file=`sorted_results/sorted_Z80_A200_T1.5_z16.dat'
read file x y1 y2
y1=log10(1.0E-99+y1)
y2=log10(1.0E-99+y2)
color 2
set pchar -1
graph\noaxes x y2
!________________________________________________________
file=`sorted_results/sorted_Z80_A200_T3_z16.dat'
read file x y1 y2
y1=log10(1.0E-99+y1)
y2=log10(1.0E-99+y2)
color 3
set pchar -5
graph\noaxes x y2
!________________________________________________________
file=`sorted_results/sorted_Z80_A200_T4.5_z16.dat'
read file x y1 y2
y1=log10(1.0E-99+y1)
y2=log10(1.0E-99+y2)
color 4
set pchar -10
graph\noaxes x y2
!________________________________________________________
file=`sorted_results/sorted_Z80_A200_T6_z16.dat'
read file x y1 y2
y1=log10(1.0E-99+y1)
y2=log10(1.0E-99+y2)
color 5
set pchar -12
graph\noaxes x y2
!________________________________________________________
file=`sorted_results/sorted_Z80_A200_T7.5_z16.dat'
read file x y1 y2
y1=log10(1.0E-99+y1)
y2=log10(1.0E-99+y2)
color 6
set pchar -14
graph\noaxes x y2
!________________________________________________________

file=`tempdependence_fixedz_z16.eps'
hardcopy s file
